### Class

# Spelling TextBufferAdapter

#### Description [src]

    final class Spelling.TextBufferAdapter : GObject.Object
      implements Gio.ActionGroup {
      /* No available fields */
    }

`SpellingTextBufferAdapter` implements helpers to easily add spellchecking capabilities to a `GtkSourceBuffer`.

#### Ancestors

- GObject

#### Implements

- GActionGroup

#### Constructors

###### spelling_text_buffer_adapter_new

Create a new `SpellingTextBufferAdapter`.

#### Instance methods

###### spelling_text_buffer_adapter_get_buffer

Gets the underlying buffer for the adapter.

###### spelling_text_buffer_adapter_get_checker

Gets the checker used by the adapter.

###### spelling_text_buffer_adapter_get_enabled

Gets if the spellcheck is enabled.

###### spelling_text_buffer_adapter_get_language

Gets the checker language.

###### spelling_text_buffer_adapter_get_menu_model

Gets the menu model containing corrections.

###### spelling_text_buffer_adapter_get_tag

Gets the tag used for potentially misspelled words.

###### spelling_text_buffer_adapter_invalidate_all

Invalidate the spelling engine, to force parsing again.

###### spelling_text_buffer_adapter_set_checker

Set the `SpellingChecker` used for spellchecking.

###### spelling_text_buffer_adapter_set_enabled

If `TRUE` spellcheck is enabled.

###### spelling_text_buffer_adapter_set_language

Sets the language code to use by the checker, such as `en_US`.

###### spelling_text_buffer_adapter_update_corrections

Looks at the current cursor position and updates the list of corrections based on the current word.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GActionGroup (14)

###### g_action_group_action_added

Emits the `GActionGroup::action-added` signal on `action_group`.

###### g_action_group_action_enabled_changed

Emits the `GActionGroup::action-enabled-changed` signal on `action_group`.

###### g_action_group_action_removed

Emits the `GActionGroup::action-removed` signal on `action_group`.

###### g_action_group_action_state_changed

Emits the `GActionGroup::action-state-changed` signal on `action_group`.

###### g_action_group_activate_action

Activate the named action within `action_group`.

###### g_action_group_change_action_state

Request for the state of the named action within `action_group` to be changed to `value`.

###### g_action_group_get_action_enabled

Checks if the named action within `action_group` is currently enabled.

###### g_action_group_get_action_parameter_type

Queries the type of the parameter that must be given when activating the named action within `action_group`.

###### g_action_group_get_action_state

Queries the current state of the named action within `action_group`.

###### g_action_group_get_action_state_hint

Requests a hint about the valid range of values for the state of the named action within `action_group`.

###### g_action_group_get_action_state_type

Queries the type of the state of the named action within `action_group`.

###### g_action_group_has_action

Checks if the named action exists within `action_group`.

###### g_action_group_list_actions

Lists the actions contained within `action_group`.

###### g_action_group_query_action

Queries all aspects of the named action within an `action_group`.

#### Properties

###### Spelling.TextBufferAdapter:buffer

The `GtkSourceBuffer`.

###### Spelling.TextBufferAdapter:checker

The `SpellingChecker`.

###### Spelling.TextBufferAdapter:enabled

Whether spellcheck is enabled.

###### Spelling.TextBufferAdapter:language

The language code, such as `en_US`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GActionGroup (4)

###### GActionGroup::action-added

Signals that a new action was just added to the group.

###### GActionGroup::action-enabled-changed

Signals that the enabled status of the named action has changed.

###### GActionGroup::action-removed

Signals that an action is just about to be removed from the group.

###### GActionGroup::action-state-changed

Signals that the state of the named action has changed.

#### Class structure

    struct SpellingTextBufferAdapterClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.